"use strict";
/**
 * @file 基于 reconciler 的 tree view 工厂
 * @author weijiaxun <weijiaxun@baidu.com>
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedTreeItem = exports.TreeItem = void 0;
const vscode = __importStar(require("vscode"));
const ExtendedTreeDataProvider_1 = __importDefault(require("./ExtendedTreeDataProvider"));
const reconciler_1 = __importDefault(require("./reconciler"));
const ReactTreeView = {
    render(whatToRender, viewId, { devtools = false } = {}) {
        const treeDataProvider = new ExtendedTreeDataProvider_1.default();
        const treeView = vscode.window.createTreeView(viewId, {
            treeDataProvider
        });
        const container = reconciler_1.default.createContainer(treeDataProvider, false, false);
        if (devtools) {
            reconciler_1.default.injectIntoDevTools({
                bundleType: 1,
                rendererPackageName: "react-vsc-treeview",
                version: "0.2.3",
            });
        }
        reconciler_1.default.updateContainer(whatToRender, container, null, () => { });
        return treeView;
    }
};
var TreeItem_1 = require("./TreeItem");
Object.defineProperty(exports, "TreeItem", { enumerable: true, get: function () { return __importDefault(TreeItem_1).default; } });
var ExtendedTreeItem_1 = require("./ExtendedTreeItem");
Object.defineProperty(exports, "ExtendedTreeItem", { enumerable: true, get: function () { return __importDefault(ExtendedTreeItem_1).default; } });
exports.default = ReactTreeView;
//# sourceMappingURL=index.js.map