"use strict";
/**
 * @file 暴露给 React Reconciler 的组件，和 vscode TreeItem 直接对应
 * @author weijiaxun <weijiaxun@baidu.com>
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.propKeys = void 0;
const react_1 = __importDefault(require("react"));
const VSCTreeItem = (props) => {
    // 为了保证类型不出问题，这里借用了 div 标签
    return react_1.default.createElement("div", Object.assign({}, props));
};
exports.default = VSCTreeItem;
exports.propKeys = [
    'label', 'id', 'iconPath', 'description', 'resourceUri', 'tooltip',
    'command', 'collapsibleState', 'contextValue', 'children', 'context'
];
//# sourceMappingURL=VSCTreeItem.js.map